Maintenance Dispatch

The maintenance dispatch resource.

Basehttps://rest.carbon.ms/maintenanceDispatch
GET/maintenanceDispatch

List maintenance dispatchs

Retrieve a paginated list of maintenance dispatchs. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/maintenanceDispatch
curl --request GET \
  --url 'https://rest.carbon.ms/maintenanceDispatch?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "maintenanceDispatchId": "xyz789",
    "content": "string",
    "status": "string",
    "priority": "string",
    "source": "string",
    "companyId": "xyz789",
    "createdBy": "string"
  }
]
GET/maintenanceDispatch

Retrieve a maintenance dispatch

Fetch a single maintenance dispatch by filtering on `id`.

Query parameters

idstring

Match on the maintenance dispatch's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/maintenanceDispatch
curl --request GET \
  --url 'https://rest.carbon.ms/maintenanceDispatch?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "maintenanceDispatchId": "xyz789",
  "content": "string",
  "status": "string",
  "priority": "string",
  "source": "string",
  "companyId": "xyz789",
  "createdBy": "string"
}
POST/maintenanceDispatch

Create a maintenance dispatch

Create a new maintenance dispatch.

Body parameters

maintenanceDispatchIdstringrequired
contentobjectrequired
statusmaintenanceDispatchStatusrequired
prioritymaintenanceDispatchPriorityrequired
sourcemaintenanceSourcerequired
workCenterIdstring

References workCenter.id

maintenanceScheduleIdstring

References maintenanceSchedule.id

suspectedFailureModeIdstring

References maintenanceFailureMode.id

actualFailureModeIdstring

References maintenanceFailureMode.id

plannedStartTimetimestamp
plannedEndTimetimestamp
actualStartTimetimestamp
actualEndTimetimestamp
durationnumber
nonConformanceIdstring

References nonConformance.id

completedAttimestamp
assigneestring

References user.id

companyIdstringrequired

References company.id

oeeImpactoeeImpactrequired
severitymaintenanceSeverityrequired
locationIdstring

References location.id

procedureIdstring

References procedure.id

POSThttps://rest.carbon.ms/maintenanceDispatch
curl --request POST \
  --url https://rest.carbon.ms/maintenanceDispatch \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"maintenanceDispatchId":"xyz789","content":"string","status":"string","priority":"string","source":"string","companyId":"xyz789","oeeImpact":"string","severity":"string"}'
Response
{
  "id": "abc123def456",
  "maintenanceDispatchId": "xyz789",
  "content": "string",
  "status": "string",
  "priority": "string",
  "source": "string",
  "companyId": "xyz789",
  "createdBy": "string"
}
PATCH/maintenanceDispatch

Update a maintenance dispatch

Update an existing maintenance dispatch, matched on `id`.

Body parameters

maintenanceDispatchIdstringrequired
contentobjectrequired
statusmaintenanceDispatchStatusrequired
prioritymaintenanceDispatchPriorityrequired
sourcemaintenanceSourcerequired
workCenterIdstring

References workCenter.id

maintenanceScheduleIdstring

References maintenanceSchedule.id

suspectedFailureModeIdstring

References maintenanceFailureMode.id

actualFailureModeIdstring

References maintenanceFailureMode.id

plannedStartTimetimestamp
plannedEndTimetimestamp
actualStartTimetimestamp
actualEndTimetimestamp
durationnumber
nonConformanceIdstring

References nonConformance.id

completedAttimestamp
assigneestring

References user.id

companyIdstringrequired

References company.id

oeeImpactoeeImpactrequired
severitymaintenanceSeverityrequired
locationIdstring

References location.id

procedureIdstring

References procedure.id

PATCHhttps://rest.carbon.ms/maintenanceDispatch
curl --request PATCH \
  --url 'https://rest.carbon.ms/maintenanceDispatch?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"maintenanceDispatchId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "maintenanceDispatchId": "xyz789",
  "content": "string",
  "status": "string",
  "priority": "string",
  "source": "string",
  "companyId": "xyz789",
  "createdBy": "string"
}
DELETE/maintenanceDispatch

Delete a maintenance dispatch

Delete a maintenance dispatch, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the maintenance dispatch to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/maintenanceDispatch
curl --request DELETE \
  --url 'https://rest.carbon.ms/maintenanceDispatch?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content